/widget/buy/rate
Get currency rate
- Type: stringfromrequired
Currency to convert from
- Type: stringtorequired
Currency to convert to
- Type: stringtyperequired
Transactions type
- Type: stringamountrequired
Amount to convert
- Type: booleanis
_total Is passed amount with fee.
- Type: stringwidget
_id requiredWidget id
- Type: stringnetwork
Cryptocurrency network
- Type: stringpayment
_method Payment method. Available: card, volt, apple, google, pix, invoice, spend_card.
- Type: stringaddress
User wallet address. Available only if feature enabled for widget
- Type: stringcard
_bin User card bin
- Type: stringcard
_id Mercuryo card id
- Type: stringip
_address User IP address. Feature must be enabled for widget.
- Type: stringcard
_type Card payment system. Feature must be enabled for widget. Note that parameter can be used only with
ip_address - Type: stringcountry
User country. Feature must be enabled for widget. Note that
ip_addresstakes precedence overcountry - Type: stringmethod
_code Payment method code for invoice payment. Applies when the value of payment_method = invoice. Available values: EightBWorld_bri, EightBWorld_bni, EightBWorld_qris , EightBWorld_ovo
- Type: stringmerchant
_transaction _id Id, which is issued by the merchant at the beginning of interaction with the user
- Type: stringflow
Payment flow. Available: buy, top_up, top_up_spend, spend, partial_top_up_spend
- Type: stringtransaction
_speed _type Transaction speed type. Available: standard, fast
- Type: stringenumvoe
_option VOE option. Default: boost. Available: boost, non-boost
values- boost
- non
-boost
- application/json
- application/json
- 403
Forbidden
- 500
Internal server error
curl 'https://sandbox-api.mrcr.io/v1.6/widget/buy/rate?from=&to=&type=&amount=&is_total=true&widget_id=&network=&payment_method=&address=&card_bin=&card_id=&ip_address=&card_type=&country=&method_code=&merchant_transaction_id=&flow=&transaction_speed_type=&voe_option=boost'
{
"status": 200,
"data": {
"buy_token": "2e9a8afe7707983fd1f213f75decd33ee3a06dd6837a81835179e8aeb2a1c218eyJ0IjoiMTY3NTE3MzgxOCIsInR0Ijp0cnVlLCJjIjoiQlRDIiwiYSI6IjAuMDAxNzU1MTUiLCJmYyI6IkVVUiIsImZhIjoiNDIuNTgiLCJmIjoiNS4yMiIsInRmIjoiMC4xIiwic2YiOiIxLjQ3ODA2NDUxNTciLCJyIjoiMjEyODIuNjYzNTY3OTEiLCJjaWQiOiJlNjFiNTA1ZTIxYmM4NDUwZmZmNzk0MTM5NjBkNDMyNyIsInciOiIyMzM1YzZkMC05ZTM5LTQ3MmYtYTkzNi0wYzY5Y2U2MTgzMDMiLCJvcCI6ImJ1eSIsInBhIjoiY2FyZCIsInB0IjpudWxsLCJwcyI6bnVsbCwibiI6IkJJVENPSU4iLCJmaSI6bnVsbH0=",
"currency": "BTC",
"amount": "0.02000000",
"fiat_amount": "432.50",
"fiat_currency": "EUR",
"rate": "51801.09",
"reverse_rate": "0.00001930",
"fee": {
"BTC": "0.00075999",
"EUR": "17.09"
},
"subtotal": {
"BTC": "0.01924001",
"EUR": "432.50"
},
"total": {
"BTC": "0.02000000",
"EUR": "449.59"
},
"kyc_limit_exceeded": false,
"kyc_limits": false,
"dca": true,
"is_native_available": false
}
}